spring:
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://172.18.0.2:3306/common_data?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
    username: common_data
    password: mT2SP7iF5B8xnAzN
  redis:
    host: 172.18.0.3
    port: 6379
    password: redis_WM8HCp
  jackson:
    time-zone: Asia/Shanghai
    date-format: yyyy-MM-dd HH:mm:ss

mybatis:
  mapper-locations: classpath:mapper/*.xml
  type-aliases-package: com.huashe.common.domain.model,com.huashe.common.weather.model

weather:
  # 服务提供商
  service-provider: amap
  region:
    conf-adcodes: 321200
  juhe:
    url: http://apis.juhe.cn/simpleWeather/query?key=${weather.juhe.key}&city=#{cityname}
    key: b2fce586f8784078f78deca9a5238ba8
    weatherList:
      - '1101:晴'
      - '1103:多云'
      - '1106:阴'
      - '2200:雪'
      - '2100:雨'
      - '4100:雾'
      - '4200:霾'
      - '4300:沙'
      - '4300:尘'
  amap:
    url: https://restapi.amap.com/v3/weather/weatherInfo?key=${weather.amap.key}&city=#{adcode}&extensions=#{extensions}&output=JSON
    key:
    weatherList:
      - '1101:晴'
      - '1103:多云'
      - '1106:阴'
      - '2200:雪'
      - '2100:雨'
      - '4100:雾'
      - '4200:霾'
      - '4300:沙'
      - '4300:尘'